aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorfanquake <fanquake@gmail.com>2019-08-31 14:18:05 +0800
committerfanquake <fanquake@gmail.com>2019-08-31 14:30:20 +0800
commit495db72ee7d8c8302d357cb10d2bc2df18b9a5e0 (patch)
tree23c1c5e11427ba697f095629f95a9ba72ce0f549
parente9ef1b2c2ec229be1974c0c2413af53cc804542e (diff)
parent8340763dc3278c828ee7d525de4c71b4615d17cc (diff)
downloadbitcoin-495db72ee7d8c8302d357cb10d2bc2df18b9a5e0.tar.xz
Merge #16767: test: Check for codespell in lint-spelling.sh
8340763dc3278c828ee7d525de4c71b4615d17cc Check for codespell in lint-spelling.sh (Kristaps Kaupe) Pull request description: Similar check for `spellcheck` already exists in `lint-shell.sh` ACKs for top commit: practicalswift: ACK 8340763dc3278c828ee7d525de4c71b4615d17cc -- diff looks correct fanquake: ACK 8340763dc3278c828ee7d525de4c71b4615d17cc - Test is the same as in `lint-shell.sh`. Tree-SHA512: f590fc4eae391c5246e86cb70cf79431bd3763ac872f82d3b2222c3a095235ca046a7072c5e61bbaeb3ed6ecd5ff85979769ee8b585de4fb97ac8cfbbf73b956
-rwxr-xr-xtest/lint/lint-spelling.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/test/lint/lint-spelling.sh b/test/lint/lint-spelling.sh
index 5d672698a7..e70b73e1cc 100755
--- a/test/lint/lint-spelling.sh
+++ b/test/lint/lint-spelling.sh
@@ -9,6 +9,11 @@
export LC_ALL=C
+if ! command -v codespell > /dev/null; then
+ echo "Skipping spell check linting since codespell is not installed."
+ exit 0
+fi
+
IGNORE_WORDS_FILE=test/lint/lint-spelling.ignore-words.txt
if ! codespell --check-filenames --disable-colors --quiet-level=7 --ignore-words=${IGNORE_WORDS_FILE} $(git ls-files -- ":(exclude)build-aux/m4/" ":(exclude)contrib/seeds/*.txt" ":(exclude)depends/" ":(exclude)doc/release-notes/" ":(exclude)src/leveldb/" ":(exclude)src/qt/locale/" ":(exclude)src/secp256k1/" ":(exclude)src/univalue/"); then
echo "^ Warning: codespell identified likely spelling errors. Any false positives? Add them to the list of ignored words in ${IGNORE_WORDS_FILE}"